package com.lee.jbuilder.syntaxchecker;

import java.util.*;
import javax.swing.tree.*;

import com.borland.primetime.ide.Context;
import com.borland.primetime.node.TextFileNode;
import com.borland.primetime.viewer.TextNodeViewer;
import com.borland.jbuilder.node.html.*;

import com.lee.jbuilder.util.editor.TextContext;

public class HtmlWatcher extends SourceErrorWatcher {

  protected HtmlWatcher( TextContext context ) {
    super( context );
  }

  public boolean isErrorFolder( TreeNode node, Object userObject ) {
    if( node instanceof HTMLStructure$HTMLStructureNode ) {
      HTMLStructure$HTMLStructureNode htmlNode = (HTMLStructure$HTMLStructureNode) node;
      return htmlNode.getType() == HTMLStructure$HTMLStructureNode.ERRORFLDR;
    }

    return false;
  }

  protected SourceError checkForError( TreeNode node, Object userObject ) {
    if( node instanceof HTMLStructure$HTMLStructureNode ) {
      HTMLStructure$HTMLStructureNode htmlNode = (HTMLStructure$HTMLStructureNode) node;
      if( htmlNode.getType() == HTMLStructure$HTMLStructureNode.ERROR && userObject instanceof HTMLStructure$HTMLStructureNodeUserObject ) {
        HTMLStructure$HTMLStructureNodeUserObject uo = (HTMLStructure$HTMLStructureNodeUserObject) userObject;
        return new SourceError( uo.lineNo, uo.column, uo.name );
      }
    }

    return null;
  }

}

