package com.lee.jbuilder.syntaxchecker;

import java.util.*;
import javax.swing.tree.*;

import com.borland.primetime.ide.Context;
import com.borland.primetime.node.TextFileNode;
import com.borland.primetime.viewer.TextNodeViewer;
import com.borland.jbuilder.node.java.*;

import com.lee.jbuilder.util.editor.TextContext;

public class JavaWatcher extends SourceErrorWatcher {

  protected JavaWatcher( TextContext context ) {
    super( context );
  }

  public boolean isErrorFolder( TreeNode node, Object userObject ) {
    if( userObject != null && userObject instanceof JavaStructureElement ) {
      JavaStructureElement jse = ( JavaStructureElement ) userObject;
      return jse.type == JavaStructureConstants.TYPE_ERROR_FOLDER;
    }

    return false;
  }

  protected SourceError checkForError( TreeNode node, Object userObject ) {
    if( userObject != null && userObject instanceof JavaStructureElement ) {
       JavaStructureElement jse = ( JavaStructureElement ) userObject;
       if( jse.type == JavaStructureConstants.TYPE_ERROR )
         return new SourceError( jse.line, jse.column, jse.name );
    }

    return null;
  }
}

