package com.lee.jbuilder.syntaxchecker;

import java.util.*;
import javax.swing.tree.*;

import com.borland.primetime.ide.Context;
import com.borland.primetime.node.TextFileNode;
import com.borland.primetime.viewer.TextNodeViewer;
import com.borland.jbuilder.node.html.JspCompiledPage;
import com.borland.jbuilder.node.java.*;
import com.borland.jbuilder.node.*;

import com.lee.jbuilder.util.editor.TextContext;

public class JspWatcher extends HtmlWatcher {
    public JspWatcher( TextContext context ) {
        super( context );
    }

  public boolean isErrorFolder( TreeNode node, Object userObject ) {
    if( userObject != null && userObject instanceof JavaStructureElement ) {
      JavaStructureElement jse = ( JavaStructureElement ) userObject;
      return jse.type == JavaStructureConstants.TYPE_ERROR_FOLDER;
    }

    return super.isErrorFolder( node, userObject );
  }

  protected SourceError checkForError( TreeNode node, Object userObject ) {
    if( userObject != null && userObject instanceof JavaStructureElement ) {
       JavaStructureElement jse = ( JavaStructureElement ) userObject;

       if( jse.type == JavaStructureConstants.TYPE_ERROR ) {
         JspCompiledPage jspPage = ( (JspFileNode) getNode() ).getJspCompiledPage();
         return jspPage == null ? null : new SourceError( jspPage.getOriginalLine( jse ), jspPage.getOriginalCol( jse.column ), jse.name );
       }
    }

    return super.checkForError( node, userObject );
  }
}