package com.lee.jbuilder.syntaxchecker;

import java.util.*;
import javax.swing.tree.*;

import com.borland.primetime.ide.Context;
import com.borland.primetime.node.*;
import com.borland.primetime.viewer.TextNodeViewer;
import com.borland.jbuilder.node.xml.*;

import com.lee.jbuilder.util.editor.TextContext;

public class XmlWatcher extends SourceErrorWatcher {

  protected XmlWatcher( TextContext context ) {
    super( context );
  }

  public boolean isErrorFolder( TreeNode node, Object userObject ) {
    if( node instanceof XMLStructure$XMLStructureNode ) {
      XMLStructure$XMLStructureNode xmlNode = (XMLStructure$XMLStructureNode) node;
      return xmlNode.getType() == XMLStructure$XMLStructureNode.ERRORFLDR;
    }
    return false;
  }

  protected SourceError checkForError( TreeNode node, Object userObject ) {
    if( node instanceof XMLStructure$XMLStructureNode ) {
      XMLStructure$XMLStructureNode xmlNode = (XMLStructure$XMLStructureNode) node;
      if( xmlNode.getType() == XMLStructure$XMLStructureNode.ERROR && userObject instanceof XMLStructure$XMLStructureNodeUserObject ) {
        XMLStructure$XMLStructureNodeUserObject uo = (XMLStructure$XMLStructureNodeUserObject) userObject;
        return new SourceError( uo.lineNo, uo.column, uo.name );
      }
    }

    return null;
  }


}

