package com.lee.jbuilder.util.editor;

import java.awt.event.MouseEvent;
import java.util.*;
import javax.swing.text.*;

import com.borland.primetime.editor.*;

public class HighlightToolTipProvider implements ToolTipProvider {
  private static HighlightToolTipProvider singleton = new HighlightToolTipProvider();

  public static HighlightToolTipProvider getInstance() {
    return singleton;
  }

  private HighlightToolTipProvider() {}

  // TOOLTIPPROVIDER METHODS

  public String getToolTipText( MouseEvent evt ) {
    EditorPane editor = (EditorPane) evt.getSource();
    int pos = editor.viewToModel( evt.getPoint() );

    TextContext context = TextContextManager.getTextContext( editor );
    String toolTip = null;

    // Context is sometimes null for split views
    if( context != null ) {
      for( Iterator i = context.getListeners().iterator(); toolTip == null && i.hasNext(); ) {
        Object listener = i.next();
        if( listener instanceof HighlightContextListener )
          toolTip = ( (HighlightContextListener) listener ).getToolTipForOffset( pos );
      }
    }

    return toolTip;
  }
}